---
title: Delete an interconnect object
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Network Interconnects](https://developers.cloudflare.com/api/python/resources/network_interconnects)

[Interconnects](https://developers.cloudflare.com/api/python/resources/network_interconnects/subresources/interconnects)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete an interconnect object

network\_interconnects.interconnects.delete(stricon, InterconnectDeleteParams\*\*kwargs)

DELETE/accounts/{account\_id}/cni/interconnects/{icon}

Permanently removes a network interconnect configuration. The physical or virtual connection will be terminated.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic Transit Write`

##### ParametersExpand Collapse

account\_id: str

Customer account tag

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

icon: str

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20icon%20%3E%20(schema)>)

### Delete an interconnect object

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.network_interconnects.interconnects.delete(
    icon="icon",
    account_id="account_id",
)
```

##### Returns Examples